import { readFileSync, writeFileSync } from 'fs'

const targetVersion = process.env.npm_package_version
console.log(`Bumping version to ${targetVersion}`)

// read minAppVersion from manifest.json and bump version to target version
const manifest = JSON.parse(readFileSync('manifest-beta.json', 'utf8'))
const { minAppVersion } = manifest
manifest.version = targetVersion
writeFileSync('manifest-beta.json', JSON.stringify(manifest, null, '\t'))

// update versions.json with target version and minAppVersion from manifest.json
const versions = JSON.parse(readFileSync('versions.json', 'utf8'))
versions[targetVersion] = minAppVersion
writeFileSync('versions.json', JSON.stringify(versions, null, '\t'))
